First time here? Check out the FAQ!
x

Is it compatible with Poser 2014?

0 votes
asked by about aniBlock Importer for Poser
edited by

Is it compatible with Poser 2014?

1 Answer

0 votes
answered by (236k points)
edited by

No, the product isn't compatible with Poser 2014. According to the information on the official website, the software package is compatible with the following versions of Poser: Poser 9 SR3 or Poser Pro 2012 SR3. Now there is no compatibility with Poser 2014. Additionally, visit the official website for more information.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...